#!/bin/bash
set -e

WORK_HOME=`pwd`

max_jobs=$(nproc)
if [[ ${max_jobs} -gt 32 ]]; then
    max_jobs=32
fi
export BISHENG=$(cd $(dirname $(which clang))/../;pwd)
export PATH=${BISHENG}/bin:$PATH
export LD_LIBRARY_PATH=${BISHENG}/lib:$LD_LIBRARY_PATH
export INCLUDE=${BISHENG}/include:$INCLUDE
export LIBEXEC=${BISHENG}/libexec:$LIBEXEC

export CC=`which clang`
export CXX=`which clang++`
export FC=`which flang`

cd OpenBLAS-0.3.6
make -j ${max_jobs}
make PREFIX=${WORK_HOME}/OpenBLAS install
exit $?
