#!/bin/bash
set -e

WORK_HOME=`pwd`
INS_HOME_PATH="${WORK_HOME}/application"
mkdir -p $INS_HOME_PATH

max_jobs=$(nproc)
if [[ ${max_jobs} -gt 32 ]]; then
    max_jobs=32
fi

#设置环境
export FFTW_DIR=${WORK_HOME}/FFTW
export CC=`which clang`
export CXX=`which clang++`
export FC=`which flang`
export BISHENG=$(cd $(dirname $(which clang))/../;pwd)
export PATH=${BISHENG}/bin:$PATH
export LD_LIBRARY_PATH=${BISHENG}/lib:$LD_LIBRARY_PATH
export INCLUDE=${BISHENG}/include:${WORK_HOME}/FFTW/include:$INCLUDE
export LIBEXEC=${BISHENG}/libexec:$LIBEXEC
export PATH=${WORK_HOME}/FFTW/bin:${PATH}
export LD_LIBRARY_PATH=${WORK_HOME}/FFTW/lib:${LD_LIBRARY_PATH}

function lammps_install()
{
    cd ${WORK_HOME}/lammps-5Jun19/src/MAKE
    #  修改下面内容
    sed -i '10d' Makefile.mpi
    sed -i '10iCCFLAGS =      -g -O3 -I ${BISHENG}/include/c++/v1 -L ${BISHENG}/lib -std=c++11 -stdlib=libc++ -lc++ -lc++abi' Makefile.mpi
    sed -i "15d" Makefile.mpi
    sed -i '15iLINKFLAGS =	-g -O -L ${BISHENG}/lib -std=c++11 -stdlib=libc++ -lc++ -lc++abi' Makefile.mpi
    sed -i "53d" Makefile.mpi
    sed -i '53iFFT_INC = -DFFT_FFTW -I ${FFTW_DIR}/include' Makefile.mpi
    sed -i "54d" Makefile.mpi
    sed -i '54iFFT_PATH = -L ${FFTW_DIR}/lib' Makefile.mpi
    sed -i "55d" Makefile.mpi
    sed -i '55iFFT_LIB = -lfftw3' Makefile.mpi
    cd ..
    make yes-KSPACE
    make yes-MPIIO
    make yes-MOLECULE
    make yes-MANYBODY
    make yes-USER-REAXC
    make mpi -j$(nproc)
    mkdir -p ${INS_HOME_PATH}/LAMMPS/bin
    cp ${WORK_HOME}/lammps-5Jun19/src/lmp_mpi ${INS_HOME_PATH}/LAMMPS/bin
}

lammps_install
