#!/bin/bash

HOST=$PWD
INS_HOME_PATH="${HOST}/application"
cd $INS_HOME_PATH/WRF-3.8.1
export CC=`which mpicc`
export CXX=`which mpic++`
export FC=`which mpifort`

# set the environment for compile wrf #
export WRFIO_NCD_LARGE_FILE_SUPPORT=1
export HDF5=${HOST}/HDF5
export PNETCDF=${HOST}/PNETCDF
export NETCDF=${HOST}/NETCDF
export CPPFLAGS=" -I$HDF5/include -I$PNETCDF/include -I$NETCDF/include "
export LDFLAGS=" -L$HDF5/lib -L$PNETCDF/lib -L$NETCDF/lib -lnetcdf -lnetcdff -lpnetcdf -lhdf5_hl -lhdf5 -lz "

# Begin to compile wrf #

echo 4 | ./configure
./compile -j 16 em_real && ./compile em_real 2>&1 | tee -a compile.log
