#!/bin/bash

HOST=$PWD
INS_HOME_PATH="${HOST}/application"
cd $INS_HOME_PATH/WRF-3.8.1

sed  $((`sed -n '$=' arch/configure_new.defaults`-2)),$((`sed -n '$=' arch/configure_new.defaults`))d arch/configure_new.defaults
        cat >> arch/configure_new.defaults <<EOF
#############################################################
#ARCH   Linux   aarch64，gnu OpenMPI #serial smpar dmpar dm+sm

DESCRIPTION     =       GNU (\$SFC/\$SCC)
DMPARALLEL      =        1
OMPCPP          =        -D_OPENMP
OMP             =        -fopenmp
OMPCC           =        -fopenmp
SFC             =       gfortran
SCC             =       gcc
CCOMP           =       gcc
DM_FC           =       mpif90 -f90=\$(SFC)
DM_CC           =       mpicc -cc=\$(SCC) -DMPI2_SUPPORT
FC              =       CONFIGURE_FC
CC              =       CONFIGURE_CC
LD              =       \$(FC)
RWORDSIZE       =       CONFIGURE_RWORDSIZE
PROMOTION       =       #-fdefault-real-8
ARCH_LOCAL      =       -DNONSTANDARD_SYSTEM_SUBR  -DWRF_USE_CLM
CFLAGS_LOCAL    =       -w -O3 -c -march=armv8.2-a -mcpu=tsv110
LDFLAGS_LOCAL   =
CPLUSPLUSLIB    =
ESMF_LDFLAG     =       \$(CPLUSPLUSLIB)
FCOPTIM         =       -O3 -ftree-vectorize -funroll-loops -march=armv8.2-a -mcpu=tsv110 -L${HOST}/MATH/lib -lmathlib
FCREDUCEDOPT    =       \$(FCOPTIM)
#FCNOOPT         =       -O0
FCDEBUG         =       # -g \$(FCNOOPT)  # -fbacktrace -ggdb -fcheck=bounds,do,mem,pointer -ffpe-trap=invalid,zero,overflow
FORMAT_FIXED    =       -ffixed-form
FORMAT_FREE     =       -ffree-form -ffree-line-length-none
FCSUFFIX        =
BYTESWAPIO      =       -fconvert=big-endian -frecord-marker=4
FCBASEOPTS_NO_G =       -w \$(FORMAT_FREE) \$(BYTESWAPIO)
FCBASEOPTS      =       \$(FCBASEOPTS_NO_G) \$(FCDEBUG)
MODULE_SRCH_FLAG =
TRADFLAG        =      -traditional
CPP             =      /lib/cpp -P
AR              =      ar
ARFLAGS         =      ru
M4              =      m4 -G
RANLIB          =      ranlib
RLFLAGS         =
CC_TOOLS        =      \$(SCC)
#############################################################
EOF

echo -ne "\n"                                                      >> arch/configure_new.defaults
echo "###########################################################" >> arch/configure_new.defaults
echo "#ARCH  NULL"                                                 >> arch/configure_new.defaults
echo -ne "\n"

# modify the file of module_cu_g3.F
sed -i "3125c \     integer,  dimension (33) :: seed" phys/module_cu_g3.F
